Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 5.0.0   

Description

In Rails 5.2 and later, the default is to raise an exception for invalid CSRF tokens, and there is a configuration for that.

https://github.com/rails/rails/blob/6-1-stable/railties/lib/rails/application/configuration.rb#L123

In Rails 7 and later, the current implementation causes a Deprecation Warning.

Related issues:

Related to Redmine - Feature #36320: Migrate to Rails 7.2 Closed

Related to Redmine - Defect #37030: Requests fail with "Can't verify CSRF tok... Closed

Related to Redmine - Defect #37562: POST Requests to repository WS fail with ... Closed

Associated revisions

Revision 21379 - 2022-01-22 09:43 - Marius BĂLTEANU

Set default protect from forgery true (#36317).

Patch by Takashi Kato.

History

#1 - 2021-12-15 00:42 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2021-12-15 05:03 - Go MAEDA

- Related to Feature #36320: Migrate to Rails 7.2 added

#3 - 2022-01-06 03:58 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#4 - 2022-01-22 09:44 - Marius BĂLTEANU

- Status changed from New to Closed

- Target version changed from Candidate for next major release to 5.0.0

Patch committed, thanks!

#5 - 2022-05-12 05:00 - Go MAEDA

- Related to Defect #37030: Requests fail with "Can't verify CSRF token authenticity" in mail handler added

#6 - 2022-08-09 08:26 - Go MAEDA

- Related to Defect #37562: POST Requests to repository WS fail with "Can't verify CSRF token authenticity" added

Files

0001-set-default_protect_from_forgery-true.patch 2.07 KB 2021-12-14 Takashi Kato
